Skip to main content

Query Advertisement Limits

Query the various limit constraints when publishing a P2P advertisement (price, floating ratio, quantity, single-transaction fiat amount, payment time limit, supported payment methods). Used for parameter validation before publishing/updating an advertisement.

HTTP Request

  • GET /api/v3/fiat/merchant/ads/limit

Required Permission: P2P Account Read

Request Parameters

NameTypeMandatoryDescription
coinIdstringyesCryptocurrency ID (e.g., USDT)
fiatUnitstringyesFiat currency (e.g., BRL)
sidestringyesTrade direction: BUY / SELL

Request

GET /api/v3/fiat/merchant/ads/limit?coinId=USDT&fiatUnit=BRL&side=BUY

Response Parameters

NameTypeDescription
minPricestring[Ad Unit Price] Minimum allowed unit price when publishing a fixed-price advertisement
maxPricestring[Ad Unit Price] Maximum allowed unit price when publishing a fixed-price advertisement
minPriceRatiostring[Floating Pricing] Minimum allowed floating ratio (priceRatio) when publishing a floating-price advertisement
maxPriceRatiostring[Floating Pricing] Maximum allowed floating ratio (priceRatio) when publishing a floating-price advertisement
minQuantitystring[Ad Total Stock] Minimum total crypto quantity for the entire advertisement (NOT per transaction; varies by merchant level/type)
maxQuantitystring[Ad Total Stock] Maximum total crypto quantity for the entire advertisement (NOT per transaction; varies by merchant level/type)
minSingleTransAmountstring[Per Transaction] Minimum fiat amount a taker can place per single order (maps to the advertisement's minSingleTransAmount; buy/sell value per direction)
maxSingleTransAmountstring[Per Transaction] Maximum fiat amount a taker can place per single order (maps to the advertisement's maxSingleTransAmount; buy/sell value per direction)
maxPayTimeLimitinteger[Payment Time] Maximum allowed payment time limit after a taker places an order (minutes)
payMethodsarrayList of supported payment method types (type id + name only, no account info)
payMethods[].idlongPayment method type ID
payMethods[].namestringPayment method name

Response

{
"msg": "success",
"code": 0,
"data": {
"minPrice": "1",
"maxPrice": "100",
"minPriceRatio": "0.8",
"maxPriceRatio": "1.2",
"minQuantity": "100",
"maxQuantity": "20000",
"minSingleTransAmount": "50",
"maxSingleTransAmount": "5000",
"maxPayTimeLimit": 30,
"payMethods": [
{ "id": 205, "name": "PIX" },
{ "id": 1, "name": "Bank Transfer" }
]
}
}